Saltar al contenido principal
GET
/
v1
/
med
/
refunds
Listar solicitudes de devolución MED
curl --request GET \
  --url https://plugin-pix-direct.api.lerian.net/v1/med/refunds \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/med/refunds"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-direct.api.lerian.net/v1/med/refunds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "breached": true,
      "dtHrCriacao": "<string>",
      "dtHrUltModificacao": "<string>",
      "endToEndId": "<string>",
      "idSolDevolucao": "<string>",
      "ispbContestado": "<string>",
      "ispbSolicitante": "<string>",
      "motivo": 123,
      "motivoDescription": "<string>",
      "status": 123,
      "statusDescription": "<string>",
      "valorDevolucaoCents": 123,
      "analysisDeadline": "<string>",
      "detalhes": "<string>",
      "detalhesAnalise": "<string>",
      "endToEndIdDevolucao": "<string>",
      "idRecValores": "<string>",
      "idRelatoInfracao": "<string>",
      "motivoRejeicao": 123,
      "motivoRejeicaoDescription": "<string>",
      "resultadoAnalise": 123,
      "resultadoAnaliseDescription": "<string>",
      "valorDevolvidoCents": 123
    }
  ]
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token JWT Bearer. Obtén el token desde el endpoint /v1/login/oauth/access_token usando credenciales de cliente (clientId y clientSecret).

Incluye el token en el encabezado Authorization: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

El token expira después de 3600 segundos (1 hora).

Parámetros de consulta

status
string

Filter on stSolDevolucao (0=Aberta, 1=Cancelada, 2=Analisada). Filtro sobre stSolDevolucao (0=Aberta, 1=Cancelada, 2=Analisada).

ispb_contestado
string

Filter on the contested ISPB (refunds requested against this institution). Filtro sobre el ISPB contestado (devoluciones solicitadas contra esta institución).

ispb_solicitante
string

Filter on the requester ISPB (refunds this institution requested). Filtro sobre el ISPB solicitante (devoluciones que esta institución solicitó).

end_to_end_id
string

Filter on the contested payment's endToEndId. Filtro sobre el endToEndId del pago contestado.

Respuesta

OK

data
object[] | null
requerido

La lista de solicitudes de devolución detectadas, de la más reciente a la más antigua.